# DefaultSheet QML Type

The Default Sheet allows an application to insert a content view over the focused view without disrupting the navigation pattern (tabs state or drill-down path are maintained. When the sheet is dismissed the user continues the journey from the point (s)he left it). The Default Sheet can be closed using either a "close" button (top left) or a "done" button (top right). The sheet cannot be dismissed any other way. Use the doneButton property to configure whether the "close" or the "done" button is used. More...

Import Statement: | import Lomiri.Components.Popups 1.3
Inherits: | SheetBase

- List of all members, including inherited members

## Properties

- doneButton : bool

## Signals

- closeClicked()
- doneClicked()

## Detailed Description

Example:

    import Lomiri.Components 1.3
    import Lomiri.Components.Popups 1.3

    Item {
        Component {
            id: defaultSheet
            DefaultSheet {
                id: sheet
                title: "Default sheet with done button"
                doneButton: true
                Label {
                    anchors.fill: parent
                    text: "A default sheet with a done button."
                    wrapMode: Text.WordWrap
                }
                onDoneClicked: PopupUtils.close(sheet)
            }
        }
        Button {
            anchors.centerIn: parent
            text: "default"
            width: units.gu(16)
            onClicked: PopupUtils.open(defaultSheet)
        }
    }

Sheets are deprecated. Consider using Dialog, Popover or PageStack instead.

## Property Documentation

doneButton : bool

If set, a "done" button is visible in the top right of the sheet's header, if unset a "cancel" button is available in the top left of the sheet's header.

## Signal Documentation

closeClicked()

This handler is called when the close button is clicked.

Note: The corresponding handler is `onCloseClicked`.

doneClicked()

This handler is called when the done button is clicked.

Note: The corresponding handler is `onDoneClicked`.